<?php
/**
 * Plugin Name:     DSGVO für die Schweiz
 * Plugin URI:      https://www.cloudweb.ch/dsgvo-kostenloses-plugin/
 * Description:     Das DSGVO Plugin für die Schweiz integriert die Cookiemeldung mit dem Hinweis, dass die Webseite Cookies verwendet. Das Plugin kann einfach Administriert und in den Farben der eigenen Webseite angepasst werden.
 * Version:         2.4.4
 * Author:          cloudWEB
 * Author URI:      https://www.cloudweb.ch
 * Text Domain:     dsgvo-fur-die-schweiz
 * Domain Path:		/languages
 * Requires WP:     4.7
 * Requires PHP:    5.5
 *
 * @package     CloudWeb\DSGVO
 * @author      cloudweb team @adrian
 * @link        https://www.cloudweb.ch
 * @license     GNU General Public License 2.0+
 *
 */

/*
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

if ( ! defined( 'ABSPATH' ) ) {
	die( "Oh, silly, there's nothing to see here." );
}

define( 'DSGVO_PLUGIN', __FILE__ );
define( 'DSGVO_DIR', trailingslashit( __DIR__ ) );
$plugin_url = plugin_dir_url( __FILE__ );

if ( is_ssl() ) {
	$plugin_url = str_replace( 'http://', 'https://', $plugin_url );
}

define( 'DSGVO_URL', $plugin_url );
define( 'DSGVO_ASSETS_URL', trailingslashit( DSGVO_URL ) . 'src/assets/'  );
define( 'DSGVO_TEXT_DOMAIN', 'dsgvo' );

function dsgvo_schweiz_add_settings_link( $links ) {
	$settings_link = '<a href="tools.php?page=dsgvo-admin">' . __( 'Settings' ) . '</a>';
	array_push( $links, $settings_link );
	return $links;
}

add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'dsgvo_schweiz_add_settings_link' );

function dsgvo_schweiz_load_plugin_textdomain() {
    load_plugin_textdomain( 'dsgvo-fur-die-schweiz', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
}

add_action( 'plugins_loaded', 'dsgvo_schweiz_load_plugin_textdomain' );

include( __DIR__ . '/src/plugin.php' );
?>
