jQuery(document).ready(function() {

    dsgvo_admin_settings();

    dsgvo_admin_tabs();

    dsgvo_admin_optout();

    var textarea = jQuery('.cookie_bar_optout_shortcode');

    textarea.on('click', function() {
        dsgvo_copy_shortcode_to_clipboard(jQuery(this));
    })

});

function dsgvo_admin_settings() {

	//Color picker

	jQuery('.dsgvo-colorpicker').wpColorPicker();

	//Transparency handle

    var handle = jQuery( "#cookie_bar_transparency_handle" ),
    	valuefield = jQuery( "#cookie_bar_transparency_value" );

    jQuery( "#cookie_bar_transparency_handle_container" ).slider({
    	create: function() {
    		handle.text( jQuery( this ).slider( "value" ) + '%' );
      	},
      	value: valuefield.val(),
      	slide: function( event, ui ) {
        	handle.text( ui.value + '%' );
        	valuefield.val( ui.value );
      	}
    });

}

function dsgvo_admin_tabs() {

    var tabtrigger = jQuery('.nav-tab'),
        tabcontainer = jQuery('.dsgvo-admin-tab'),
        tabid;

    tabtrigger.on('click', function(e){
        e.preventDefault();
        tabid = jQuery(this).attr('data-tabid');
        tabtrigger.removeClass('nav-tab-active');
        jQuery(this).addClass('nav-tab-active');
        tabcontainer.slideUp();
        jQuery('#dsgvo-admin-tab-'+tabid).slideDown();
    });

}

function dsgvo_admin_optout() {

    var enabled         = jQuery('#cookie_bar_opt_out_enabled'),
        type            = jQuery('#cookie_bar_opt_out_type'),
        optionssubmit   = jQuery('#dsgvo_options_form #submit'),
        clearfields;

    enabled.on('change', function(e) {

        e.preventDefault();

        // type.val(jQuery('#'+type.attr('id')+' option:first').val());
        // customevents.val('');
        // propertyid.val('');

        clearfields     = {
            '#cookie_bar_google_property_id'     : 'text',
            '#cookie_bar_customer_optout_events' : 'text',
            '#cookie_bar_opt_out_type'           : 'select',
            '#cookie_bar_optout_link_text'       : 'text',
            '#cookie_bar_optout_success_message' : 'text'
        }

        dsgvo_admin_clear_fields(clearfields);

        optionssubmit.click();

    });

    type.on('change', function(e) {

        e.preventDefault();
        var selectedtype = jQuery(this).val();
        if(selectedtype == 'ga') {

            clearfields = {
                '#cookie_bar_customer_optout_events' : 'text',
                '#cookie_bar_optout_function_name'   : 'text'
            }

        } else if(selectedtype == 'gtm') {

            clearfields = {
                '#cookie_bar_google_property_id'     : 'text',
                '#cookie_bar_customer_optout_events' : 'text'
            }

        } else {

            clearfields = {
                '#cookie_bar_google_property_id'     : 'text',
                '#cookie_bar_customer_optout_events' : 'text',
                '#cookie_bar_optout_link_text'       : 'text',
                '#cookie_bar_optout_success_message' : 'text'
            }

        }

        dsgvo_admin_clear_fields(clearfields);

        optionssubmit.click();

    });

}

function dsgvo_admin_clear_fields(fields) {

    jQuery.each(fields, function(fieldid, fieldtype) {

        switch(fieldtype) {
            case 'text':
                jQuery(fieldid).val('');
            break;
            case 'select':
                jQuery(fieldid).val(jQuery('#'+jQuery(fieldid).attr('id')+' option:first').val());
            break;
        }

    });

}

function dsgvo_copy_shortcode_to_clipboard(input) {

    input.select();

    document.execCommand("copy");

    if(jQuery("#copied_to_clip").length == 0) {
        input.after('<p style="color:green; font-size:20px;" id="copied_to_clip">'+dsgvoadmin.translations['copied_to_clip']+'</p>');

        setTimeout(function() {
            jQuery("#copied_to_clip").fadeOut(function(){
                jQuery(this).remove();
            });
        }, 1000);
    }

    //alert("Copied the text: " + input.text());
}
